import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { ApiResponseModel, ApiVisa, BaseApiTemplateService } from "../shared";
export declare class InnovatifUserVerificationService extends BaseApiTemplateService<any> {
    static readonly INNOVATIF_USER_VERIFY_SUBPATH = "okay-face-verify/";
    constructor(http: HttpClient);
    verifyUser(dtoObject: FormData, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    reinitiateVerification(guid: string, dtoObject: FormData, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
